Page MenuHomePhabricator

Flagged Revisions for Vietnamese Wikipedia
Open, Stalled, LowestPublic

Description

Consensus: vi.wp

Hello, the Vietnamese Wikipedia community is requesting for enable Flagged Revisions on our local wiki. We are hoping a configure same as English Wikipedia, which only for targets page which get protected, but with both level of pending change and some particular setup only in Vietnamese Wikipedia. Here is details:

  • General rights:
1. Import ['reviewer'] and ['autoreview']

2. ['sysop'] and ['elminator'] default have the ['reviewer'] and ['autoreview'] rights

3. ['sysop'] can add/remove ['reviewer']

4. ['sysop'] can make protection for a page in both level pending changes
  • Rights custom per level pending changes

With pending change level 1:

['autoconfirmed'] default have ['autoreview'], their edits no need to be accepted by a ['reviewer'],  but if there are previous pending changes, no changes go live until the pending changes have been reviewed by a ['reviewer'],

With pending change level 2:

only ['sysop'] and ['elminator'] can accept or reject a revision

['reviewer'] can not accept or reject a revision

With this, we hoping to create two type of ['autoreview'] and ['reviewer'] group which match with their role in different pending change level. The Pening change level 1 is exactly same with the current configure for English Wikipedia (except we also have ['elminator'] group). And the Pening change level 2 maybe need a total new group so when a page is protecting by pending change level 2, only ['sysop'] and ['elminator'] can make page go to stable status, not normal ['reviewer'].

  • In the case pending change level 2 is impossible due technically issue and only one level pending change can be set-up
['sysop'], ['elminator'], ['reviewer'] can accept or reject a revision

no ['autoreview'] give for ['autoconfirmed'], their edits must be approve by user have ['reviewer'] rights as well.

This maybe complicated, and because we have new setting for pending change level 2, I can't create a configure page as what Portugal Wikipedia did. Sincerely apologize and hope someone can help me sort this out so developers can deploy it more easily. Also I guess a beta cluster wiki should be created so we can make sure the extension working properly follow which we are hoping as consensus above.

I will always online here to responde any question about this complicated configure, so please just feel free to ask anything can help you understand this request. Thank you!

Event Timeline

minhhuy created this task.Sep 14 2018, 2:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2018, 2:17 PM
minhhuy renamed this task from Enabler Flagged Revisions for Vietnamese Wikipedia to Flagged Revisions for Vietnamese Wikipedia.Sep 14 2018, 2:17 PM
MarcoAurelio changed the task status from Open to Stalled.Sep 14 2018, 6:28 PM
MarcoAurelio triaged this task as Lowest priority.

Stalling per T137937#2386610, which is still true at this moment; but translatewiki.net translation stats shows 99% of translated messages so that shouldn't be a blocker. Ping @Dereckson and @Nemo_bis just in case. Thanks.

minhhuy added a comment.EditedSep 14 2018, 7:33 PM

I read the discussion about Flagged revisions on Meta to figure the future of extension as Dereckson said in ur.wp case, but the discussion ended and more community still waiting for deploy this tool in their wikis.

Also, Vietnamese Wikipedia not a "new wiki", we are having 1 millions article and active since 2003, with a Wikimedia user group get approved recent time. So we even not in the scope of the discussion on Meta, which target for small and new community.

And we sure have "significant planning" about deploy the tool in our wiki. The total discussion time to get consensus took about 3 month (15 days voting) with all documention and guideline pages (as 1, 2, 3) get prepared even 2 years ago before the discussion. We know what we should do once the extension come to our wiki. What we are preparing here is a model same as English Wikipedia which the "pening change level" only for few pages get protection by a sysop, not a full wiki so there will be no back log at all (because as in the rule, we only allow a page in pending change protection at a certain time, not eternal). Only different is we want a higher level of pending change, which also already setted up before in English Wikipedia, about only sysop can accept a revision in very minority and seriously case to prevent BLP and COI violation (in Vietnamese Wikipedia, we always in emergency case with the topic about political when it related to Vietnam government (similarity to China government), where NPOV invasion all the articles and no anyway to prevent systemic vandalism with sockpuppets, lasting for already more 5 years). We believe that in somecase, this tool help us raise the "open" spirit, instead a page get totally protection or semi-protection as normal, which almost useless in our wiki.

All what I said above already presented in our local consensed discussion and can be verify with machine translation, just for make sure what I am saying here is really in line with the current situation of Vietnamese Wikipedia and how we needing the Pending Change.

minhhuy updated the task description. (Show Details)Sep 15 2018, 6:46 AM

Will this request have any chance to be process? The current development of Vietnamese Wikipedia really need support of reviewer as soon as possible.

minhhuy added a comment.EditedOct 5 2018, 2:40 PM

@Aklapper As I wrote above, the RfC already closed without any result about deploy or not this tool in future. In the case WMF decided to remove this tool or will not setup for new request, there should be a at least a notice about that decision.

Vietnamese Wikipedia is big wiki with an very actively community, we aware about the effect of PendingChanges, we are not "new small communities like to do extension and config shopping, to have all their wikis configured like some of the bigger wiki". We discussed about PendingChanges for more 2 years and get the overall consensus as result. We also translated all the message as required from similarity requests.

We understand that maybe the policy now is changed and will no any community have chance to be setup PendingChanges in future, except the available wikis which already have it. But at least there should be a clearly announcement about that. Thank you.